Action Required - Important Security Updates for DotNetNuke versions 6.x and 7.x

All Current Versions of DotNetNuke 6 and 7 are Affected
DotNetNuke Corporation recently released important security updates to both DotNetNuke 6.x and DotNetNuke 7.x.  We recommend upgrading all DNN websites to the latest secure version as soon as possible. 

DotNetNuke 7.0.5 (Released April 3, 2013) is the secure version of DotNetNuke 7.x
DotNetNuke 6.2.7 (Released April 3, 2013) is the secure version of DotNetNuke 6.x

It is important to keep your website secure, but we are here to help.  We are committed to assisting the entire DNN community by providing the best information available and assisting in any way that we can.  We encourage all our customers to update to the latest version right away.  If you do not know what version of DotNetNuke your site is using, you can find out by following the simple instructions in this PowerDNN KB article.

How to secure your website
If you are currently working with a developer, we recommend enlisting their assistance for the upgrade.<br>

If you are are a technical expert, you may perform the upgrade yourself.  Please be aware that if you perform the upgrade yourself and issues arise from upgrade errors, additional charges will apply if you need our assistance in troubleshooting those issues. 

If you need assistance in upgrading your website...
Simply open a support ticket through the control panel and our experts will guide you through the process.

Jeff Hardy
Director of Communications